com.holonplatform.vaadin7.components.builders

## Interface TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T extends Temporal>

- All Superinterfaces:
    CalendarInputBuilder<T,TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>, ComponentConfigurator<TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>, InputBuilder<T,Input<T>,TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>, InputConfigurator<T,TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>, TemporalInputBuilder<T,TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>
  Enclosing interface:
    TemporalInputBuilder<T extends Temporal,B extends TemporalInputBuilder<T,B>>

      public static interface TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T extends Temporal>
      extends TemporalInputBuilder<T,TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T>>

  A `TemporalInputBuilder` for Fields not supporting time.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.TemporalInputBuilder

      `TemporalInputBuilder.TemporalWithoutTimeFieldBuilder<T extends Temporal>, TemporalInputBuilder.TemporalWithTimeFieldBuilder<T extends Temporal>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.TemporalInputBuilder

      `timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.CalendarInputBuilder

      `dateFormat, dateOutOfRangeMessage, dateOutOfRangeMessage, dateOutOfRangeMessage, lenient, parseErrorMessage, parseErrorMessage, parseErrorMessage, rangeEnd, rangeStart, showISOWeekNumbers, timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.